<!DOCTYPE html>
<html lang="fr">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="x-ua-compatible" content="ie=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<title>{{ config.site_name }}{% if page.title %} - {{ page.title }} - {% endif %}</title>
		<link rel="shortcut icon" href="{{ "img/favicon.ico"|url }}">
		<link rel="stylesheet" href="{{ "css/theme.css"|url }}">
		{% for path in config.extra_css %}
			<link href="{{ path|url }}" rel="stylesheet">
		{% endfor %}
	</head>
	<body>
		<nav>
			<h1>
				{{ config.site_name }}
			</h1>

			{% set titles = [] %}
			{% set designers = [] %}
			{% set tags = [] %}

			{% for filter in config.filters %}
				{% for item in nav %}
					{% if item.is_section and item.title == 'Fonts' %}
						{% for fontFolder in item.children %}
							{% if fontFolder.is_section %}
								{% for font in fontFolder.children|list %}
									{% if font.meta.public == True %}
										{% if filter == 'title' %}
											{{ titles.append(font.meta[filter])|default("", True)  }}
										{% elif filter == 'designers' %}
											{% for designer in font.meta[filter] if designer[0] not in designers %}
												{{ designers.append(designer[0])|default("", True)  }}
											{% endfor %}
										{% elif filter == 'tags' %}
											{% for tag in font.meta[filter] if tag not in tags %}
												{{ tags.append(tag)|default("", True)  }}
											{% endfor %}
										{% endif %}
									{% endif %}
								{% endfor %}
							{% endif %}
						{% endfor %}
					{% endif %}
				{% endfor %}
			{% endfor %}
		

			<div class="filters">
				<details class="fonts">
						<summary>Fonts</summary>
						<ul>
							{% for title in titles %}
								<li class="filter" data-filter="{{title}}">{{title}}</li>
							{% endfor %}
						</ul>
				</details>
				<details class="designers">
						<summary>Designers</summary>
						<ul>
							{% for designer in designers %}
								<li class="filter" data-filter="{{designer}}">{{designer}}</li>
							{% endfor %}
						</ul>
				</details>
				<details class="tags">
						<summary>Tags</summary>
						<ul>
							{% for tag in tags %}
								<li class="filter" data-filter="{{tag}}">{{tag}}</li>
							{% endfor %}
						</ul>
				</details>
			</div>

		</nav>

		{% block content %}

		{% endblock %}

		{% include 'about.html' %}

		{% include 'tools.html' %}

	</body>
		{% for path in config.extra_javascript %}
			<script src="{{ path|url }}"></script>
		{% endfor %}
</html>
